#ifndef __GDK_SCREEN_SINGLE_H__
#define __GDK_SCREEN_SINGLE_H__

extern GdkScreen* _gdk_screen;

typedef struct _GdkScreenSingle GdkScreenSingle;
typedef struct _GdkScreenSingleClass GdkScreenSingleClass;

struct _GdkScreenSingle
{
  GdkScreen parent_instance;
  
  GdkDisplay *display;
};

GType gdk_screen_single_get_type ();

#define GDK_TYPE_SCREEN_SINGLE              (gdk_screen_single_get_type ())
#define GDK_SCREEN_SINGLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), GDK_TYPE_SCREEN_SINGLE, GdkScreenSingle))
#define GDK_SCREEN_SINGLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GDK_TYPE_SCREEN_X11, GdkScreenSingleClass))
#define GDK_IS_SCREEN_SINGLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), GDK_TYPE_SCREEN_SINGLE))
#define GDK_IS_SCREEN_SINGLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GDK_TYPE_SCREEN_SINGLE))
#define GDK_SCREEN_SINGLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GDK_TYPE_SCREEN_SINGLE, GdkScreenSingleClass))

void _gdk_windowing_window_init (void);
void _gdk_visual_init (void);
void _gdk_dnd_init    (void);
void _gdk_windowing_image_init  (void);
void _gdk_events_init (void);
void _gdk_input_init (void);

#endif